package cn.cecep.talroad.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum AmProblemProcessTypeEnum {
    V1("1","整改期限填写"),
    V2("2","整改信息填写"),
    V3("3","整改审核信息"),
    ;

    private String value;
    private String desc;

    public static AmProblemProcessTypeEnum valueOfByValue(String value){
        for (AmProblemProcessTypeEnum anEnum : values()) {
            if (anEnum.getValue().equals(value)) {
                return anEnum;
            }
        }
        throw new IllegalArgumentException("no enum found:"+value);
    }

}
